#!/bin/bash
#
# i3abc.sh  version 2.2  run one cycle of alignment by classification
#

[ $# -ne 2 -a $# -ne 3 ] && { echo "usage: $( basename $0 ) oldcycle newcycle [newi3d]" >&2; exit 1; }

set -e

. ${I3LEGACY}/run/i3setup.sh defs ${1} ${2}

unset CLSMIN CLSMAX CLSINC CLSHVO CLSHVM

export SELCLS="${CLASSES}"

# start cycle

mkdir ${DIR}

cp -p ${I3PARAM} ${DIR}

cd ${DIR}

i3newcycle.sh ${3}

i3msamask.sh raw

i3msastack.sh raw

i3msaexec.sh raw

i3classexec.sh raw

i3classavg.sh

i3classcp.sh

i3select.sh

i3selectalignmake.sh ${SELOPT}

sh i3selectalignrun.sh >i3selectalign/submit.log

i3wait.sh i3selectalign

i3selectcombine.sh

i3selectapply.sh raw

i3fsc.sh raw ali
