#!/bin/bash
#
# i3abcinitial.sh  version 2.2  run initial cycle of alignment by classification
#

[ $# -ne 0 ] && { echo "usage: $( basename $0 )" >&2; exit 1; }

set -e

. ${I3LEGACY}/run/i3setup.sh defs 0

unset CLSMIN CLSMAX CLSINC CLSHVO CLSHVM

export SELCLS="${CLASSES}"

# start cycle

mkdir ${DIR}

cp -p ${I3PARAM} ${DIR}

cd ${DIR}

i3init.sh

# i3totsum.sh raw

i3msamask.sh raw

i3msastack.sh raw

i3msaexec.sh raw

i3classexec.sh raw

i3classavg.sh

i3classcp.sh

i3select.sh

i3selectalignmake.sh ${SELOPT}

sh i3selectalignrun.sh >i3selectalign/submit.log

i3wait.sh i3selectalign

i3selectcombine.sh

i3selectapply.sh raw

i3fsc.sh raw ali
