#!/bin/bash
#
# i3wait.sh  version 2.1  wait until all alignments are completed
#

[ $# -ne 1 ] && { echo "usage: $( basename $0 ) dir" >&2; exit 1; }

set -e

# script directory
prfx="${1}"

while true; do

  i3alistat.sh ${prfx} >${prfx}/run.log

  stat=$( awk 'BEGIN{ stat = 0 } /RUNNING/ { stat = 1; exit } /found/ { stat = 2; exit } END { print stat }' ${prfx}/run.log )

  [ ${stat} = 0 ] && exit 0

  sleep 30

done
