#!/bin/sh

# installation root directory

export I3ROOT="/usr/local/protomo-2.4.1"

# libraries and paths

. ${I3ROOT}/bin/osarch.sh

I3LIB="${I3ROOT}/lib/${OS}/${ARCH}"

I3DEPLIB="/usr/local/lib/${OS}/${ARCH}"

I3LIBPATH="${I3LIB}:${I3DEPLIB}"

I3EXEPATH="${I3ROOT}/bin/${OS}/${ARCH}:${I3ROOT}/bin"

I3PYPATH="${I3LIB}"

# I3 setup

export I3LEGACY="/usr/local/i3-0.9.6"

I3EXEPATH="${I3EXEPATH}:${I3LEGACY}/bin/${OS}/${ARCH}:${I3LEGACY}/bin"

# EMAN2 setup

export EMAN2DIR="/usr/local/3rd-party/${OS}/${ARCH}/EMAN2"

I3LIBPATH="${I3LIBPATH}:${EMAN2DIR}/lib"

I3EXEPATH="${I3EXEPATH}:${EMAN2DIR}/bin"

I3PYPATH="${I3PYPATH}:${EMAN2DIR}/lib"

# system path

I3EXEPATH="${I3EXEPATH}:/usr/bin:/bin"

# export variables

export LD_LIBRARY_PATH="${I3LIBPATH}:${2}"

export PATH=".:${I3EXEPATH}:${1}"

export PYTHONPATH="${I3PYPATH}:${3}"
