#!/bin/bash
#
# i3alistat.sh  version 2.1  check completion of alignment scripts
#

[ $# -ne 1 ] && { echo "usage: $( basename $0 ) dir" >&2; exit 1; }

set -e

dir=$( echo ${1} | awk '{ sub("[/]+$",""); print }' )

find ${dir} -name '*.sh' |
while read f; do
  s=${f#${dir}/}
  p=${s%.sh}
  l=${dir}/${p}.log
  if [ -e ${l} ]; then
    echo "${p} $( i3logstat.sh <${l} )"
  else
    echo "${p} not found"
  fi
done
