#!/bin/sh
#
# runabc.sh  version 2.1  control script to run multiple cycles
#

# parameter file
export I3PARAM="abcparam.sh"

# start cycle
cyc=0

# number of cycles to run
ncyc=3


# start

if [ ${cyc} -eq 0 ]; then

  echo "cycle ${cyc} at $( date )"

  i3abcinitial.sh || { echo "cycle ${cyc} failed"; exit 1; }

  let cyc=cyc+1

  let ncyc=ncyc-1

fi

while [ ${ncyc} -gt 0 ]; do

  let old=cyc-1

  echo "cycle ${cyc} at $( date )"

  i3abc.sh ${old} ${cyc} || { echo "cycle ${cyc} failed"; exit 1; }

  let cyc=cyc+1

  let ncyc=ncyc-1

done
