#!/bin/bash
#
# i3newcycle.sh  version 2.1  initialize new cycle
#

set -e

# copy database

avg="true"

if [ "${1}" ]; then

  if [ "x${1}" = xnoavg ]; then
    unset avg
    shift
  fi

fi    

if [ "${1}" ]; then

  old="../${1}"

  if [ "x${2}" = xnoavg ]; then
    unset avg
    shift
  fi

else

  old="../${OLDDIR}/${OLDPRFX}-ali.i3d"

fi

# create new set

cp ${old} ${I3D}

i3datalist ${old} ${OLDSET} |
i3dataimport -dim ${DIM} ${I3D} ${SET}-raw -

# compute global average

if [ ! x${GLBLAVG} = xtrue ]; then

  unset avg

fi

if [ "${avg}" ]; then

  i3totsum.sh raw

fi

# selected class averages as reference

if [ x${REFIMG} = xsel ]; then
  ln -s ../${OLDDIR}/${OLDPRFX}-sel.img ${PRFX}-ref-sel.img
fi
